﻿@using IP.BL.Domain.Flows.FlowComponents.Questions
@model IEnumerable<IP.BL.Domain.Flows.FlowComponents.Questions.Question>

@{
    ViewBag.Title = "Alle vragen";
    Layout = "_Layout";
}

<h2 class="text-center">Alle vragen</h2>
<table class="table">
    <thead>
    <tr>
        <th>Prompt</th>
        <th>IsOpen</th>
        <th>Options</th>
        <th></th>
    </tr>
    </thead>
    <tbody>
    @foreach (Question question in Model)
    {
        <tr>
            <td>@question.Prompt</td>
            <td>@question.IsOpen</td>
            <td>
                <ul>
                    @foreach (var option in question.Options)
                    {
                        <li>@option.Label</li>
                    }
                </ul>
            </td>
            <td>
                <form method="post" action="/Question/Delete/@question.Id">
                    <button type="submit" class="btn btn-danger">Verwijder vraag</button>
                </form>
            </td>
        </tr>
    }
    </tbody>
</table>

@section Scripts
{
    <script src="~/js/creatingQuestions.js" defer></script>
}